// 完毕：
using System;
using System.IO;
using System.Drawing;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Text;

namespace DsPdfWeb.Demos
{
    // 此示例​​加载由HelloWorld示例创建的PDF文件，
    // 将简短的文本注释添加到第一页，并保存结果。
    public class LoadPDF
    {
        public int CreatePDF(Stream stream)
        {
            // 重要提示：使用 GcPdfDocument.Load() 方法处理现有 PDF 文件时，
            // 在处理文档时，传递给该方法的流必须保持打开状态。
            // 这是因为 Load() 不会立即将整个 PDF 文档加载到内存中，
            // 相反，它会根据需要加载 PDF 的各个部分。
            // 流仅用于读取，原始文件本身并没有被修改。
            // 要保存更改，您需要调用 GcPdfDocument.Save() 重载之一
            // 照常。
            using var fs = File.OpenRead(Path.Combine("Resources", "PDFs", "HelloWorld.pdf"));
            var doc = new GcPdfDocument();
            doc.Load(fs);
            // 将注释添加到文档中的（唯一）页面：
            var page = doc.Pages.Last;
            Common.Util.AddNote(
                "此文本已添加到原始“Hello World”PDF 中。",
                page,
                new RectangleF(72, 72 * 3, page.Size.Width - 72 * 2, 72));
            // 完毕：
            doc.Save(stream);
            return doc.Pages.Count;
        }
    }
}
